Overflow on Notification panel with very long page names
Closed, ResolvedPublic

Description

With some very long pages names, there is some overflow (here Wikipédia:Forum des nouveaux/relecture/Flow):

Trizek-WMF updated the task description. (Show Details)
Trizek-WMF raised the priority of this task from to Needs Triage.
Trizek-WMF added a project: Notifications.
Trizek-WMF added a subscriber: Trizek-WMF.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJan 14 2016, 7:52 PM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript
Aklapper renamed this task from Overflow on Notification pannel to Overflow on Notification panel with very long page names.Jan 14 2016, 8:49 PM
Aklapper set Security to None.
Catrope triaged this task as High priority.Jan 20 2016, 7:38 PM
Catrope added a subscriber: Catrope.

T121822: Truncate Page and Topic Names and Msg Excerpts in Notifications Fly-Outs and Page is related, and will probably reduce the incidence of this, but it may not eliminate it.

Change 265616 had a related patch set uploaded (by Mooeypoo):
Truncate notification action button text

https://gerrit.wikimedia.org/r/265616

T121822: Truncate Page and Topic Names and Msg Excerpts in Notifications Fly-Outs and Page truncates all the links label to a reasonable length. But if you have 7 links with long (but truncated) labels, it's gonna overflow for sure.

Change 265616 merged by jenkins-bot:
Truncate notification action button text

https://gerrit.wikimedia.org/r/265616

Etonkovidova added a subscriber: Etonkovidova.EditedJan 26 2016, 11:22 PM

Checked locally - ellipses are added to indicate long titles:

With longer user name:

Closing this bug. Pretty sure it is being handled by T121822. Let me know if you disagree.

jmatazzoni closed this task as Resolved.Feb 23 2016, 8:27 PM
jmatazzoni added a subscriber: Mooeypoo.